Subject: Re: bug#61266: [PATCH 1/1] lint: Add unused-modules linter.

From: Reily Siegel <[email-masked]>
Date: Mon, 13 Feb 2023 13:20:49 -0500

Ludovic Courtès <[email-masked]> writes:

> I have just submitted a patch adding a ‘-Wunused-module’ warning to
> Guile’s compiler, which avoids these issues:
>
>   https://lists.gnu.org/archive/html/guile-devel/2023-02/msg00026.html
>
> I wonder if we should stick to that and avoid having a lint warning
> altogether.  WDYT?

This is probably a much more workable approach. Another problem with
lint checkers that I forgot to mention in my initial patch is that they
are really designed to work on packages, not files.

--
Reily Siegel